=== src/lib/CMakeLists.txt ===
add_library(qmltermwidget STATIC
    BlockArray.cpp
    BlockArray.h
    ColorScheme.cpp
    ColorScheme.h
    Emulation.cpp
    Emulation.h
    Filter.cpp
    Filter.h
    History.cpp
    History.h
    HistorySearch.cpp
    HistorySearch.h
    KeyboardTranslator.cpp
    KeyboardTranslator.h
    ProcessInfo.cpp
    ProcessInfo.h
    Pty.cpp
    Pty.h
    Screen.cpp
    Screen.h
    ScreenWindow.cpp
    ScreenWindow.h
    Session.cpp
    Session.h
    ShellCommand.cpp
    ShellCommand.h
    TerminalCharacterDecoder.cpp
    TerminalCharacterDecoder.h
    TerminalDisplay.cpp
    TerminalDisplay.h
    tools.cpp
    tools.h
    Vt102Emulation.cpp
    Vt102Emulation.h
    konsole_wcwidth.cpp
    konsole_wcwidth.h
    kprocess.cpp
    kprocess.h
    kpty.cpp
    kpty.h
    kptydevice.cpp
    kptydevice.h
    kptyprocess.cpp
    kptyprocess.h
)
target_include_directories(qmltermwidget
    PUBLIC
        "${CMAKE_CURRENT_SOURCE_DIR}"
    PRIVATE
        "${CMAKE_CURRENT_SOURCE_DIR}/../imports/terminal"
)
target_compile_definitions(qmltermwidget
    PRIVATE
        HAVE_POSIX_OPENPT
        HAVE_SYS_TIME_H
)
target_link_libraries(qmltermwidget
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::Quick
)
